import http from "@/api/http";

export default{

  async getSignup(data) {
    // 首页底部内容添加报名
    return http({
      url: '/index/linkSignup',
      method: 'POST',
      data,
      needToken: true
    })
  },

  // 首页底部内容链接
  async getLink() {
    return http({
      url: '/index/link',
      method: 'GET',
    })
  },

  // 首页底部内容链接详情
  async getLinkDetails(data) {
    return http({
      url: '/index/linkDetails',
      method: 'GET',
      data
    })
  },

  // 查询轮播图
  async getBanner() {
    return http({
      url: '/index/banner',
      method: 'GET',
    })
  },

    // 查询文章列表
  async getArticle() {
    return http({
      url: '/index/articleList',
      method: 'GET',
    })
  },

  // 查询文章详情
  async getArticleDetail(data) {
    return http({
      url: '/index/articleDetail',
      method: 'GET',
      data
    })
  },
}